package com.zhangmeng.online.exam.ui.components.callBack;

import com.zhangmeng.online.exam.ui.api.ApiUtils;
import javafx.beans.property.SimpleStringProperty;
import javafx.collections.ObservableList;

import java.util.List;
import java.util.Map;

/**
 * @author zm
 * @date 2025/3/19 14:26
 * @version: 1.0
 */
public interface PaperViewComponentCallBack {
    ApiUtils.DataView loadQuestionData(int pageNum, int pageSize);

    ApiUtils.DataView loadChooseQuestionData(Map<String, Object> context,int pageNum, int pageSize);

    ApiUtils.DataView searchQuestionData(String searchText, int pageNum, int pageSize);

    void commitChooseQuestion(Map<String, Object> context, ObservableList<Map<String, SimpleStringProperty>> chooseTableData);

}
